/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */
:root{
  --bg1: url("IMAGES/pink_heart_tile.gif");
  --bg2: url("IMAGES/cute_pink_sparkle_tile.gif");
  --bg3: url("IMAGES/glittery_pink_stars_tile.gif");
  --bg4: url("IMAGES/haibisukasu_tile.gif");
  --bg5: url("IMAGES/hotpink_flower_tile.png");
  --bg6:url("IMAGES/glittery_rose_tile.gif");
  
  --barbie-pink: #DA1884;
  
  --font-stack-body: basiic, "Tahoma", serif;
  --font-stack-heading: euxoi, "Tahoma", serif;
}

body {
  background-image: var(--bg1);
  /* background-size: 24px 24px; */
  background-color: hotpink;
  font-family: var(--font-stack-body);
}

.page-container {
  max-width: 700px;
  margin: 0 auto;
  display: grid;
  place-items: center;
}

main {
  border: 4px double var(--barbie-pink);
  border-top: none;
  background-color: #FFB2D0;
  padding: 20px;
  
  width: 100%;       /* Matches parent width exactly */
  height: 100%;      /* Matches parent height exactly */
  box-sizing: border-box;
}

header{
  background-image: linear-gradient(rgba(245, 53, 170, 0.1), rgba(245, 53, 170, 0.1)), url(FIGART/fig-sor-sister2.png);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  
  background-color: lightpink;
  border: 4px double var(--barbie-pink);
  padding: 10px;
  
  width: 100%;       /* Matches parent width exactly */
  height: 100%;      /* Matches parent height exactly */
  box-sizing: border-box;
  
  text-align: center;
  font-size: x-large;
  letter-spacing: 3px;
  color: #43C6DB;
  text-shadow: 
    -2px -2px 0 navy,  
     2px -2px 0 navy,
    -2px  2px 0 navy,
     2px  2px 0 navy; /* Creates the border effect */
}

header:hover {
     background-image:url(FIGART/fig-sor-sister2.png);
     color: rgb;
}

h1 {
  font-family: var(--font-stack-heading);
}

@font-face {
  font-family: basiic;
  src: url(FONTS/basiic.ttf);
}

@font-face {
  font-family: euxoi;
  src: url(FONTS/euxoi.ttf)
}